Bug 1151740 - dnf base api should not use errorSummary from dnf.cli.BaseCli
Summary: dnf base api should not use errorSummary from dnf.cli.BaseCli
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Silhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-11 09:00 UTC by Tim Lauridsen
Modified: 2014-12-13 09:53 UTC (History)
6 users (show)

Fixed In Version: dnf-0.6.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-13 09:53:53 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Lauridsen 2014-10-11 09:00:48 UTC
Description of problem:

If there is some kind of error in the transaction dnf.Base.do_transaction will call self.errorSummary, that is only defined in dnf.cli.BaseCli
So an dnf api user will get a traceback like this.

File "/usr/lib/python3.4/site-packages/dnfdaemon/server/init.py", line 531, in run_transaction
self.base.do_transaction(display=display)
File "/usr/lib/python3.4/site-packages/dnf/base.py", line 542, in do_transaction
self.errorSummary(errstring))
AttributeError: 'DnfBase' object has no attribute 'errorSummary'


Version-Release number of selected component (if applicable):

0.6.2

How reproducible:
every time


Steps to Reproduce:
1.
2.
3.

Actual results:

Traceback


Expected results:
No traceback, use an exception

Additional info:

Comment 1 Honza Silhan 2014-10-13 20:43:26 UTC
Thanks for report.

Comment 2 Honza Silhan 2014-11-04 13:13:28 UTC
Fixed in the upstream.

Comment 3 Fedora Update System 2014-12-09 14:06:46 UTC
dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21

Comment 4 Fedora Update System 2014-12-12 04:32:52 UTC
Package dnf-0.6.3-2.fc21, hawkey-0.5.2-1.fc21, dnf-plugins-core-0.1.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.3-2.fc21 hawkey-0.5.2-1.fc21 dnf-plugins-core-0.1.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16760/dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-12-13 09:53:53 UTC
dnf-0.6.3-2.fc21, hawkey-0.5.2-1.fc21, dnf-plugins-core-0.1.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.